c    @(#)ierinv.f	1.1
c
      function ierinv (n,na,nv)
  103 format(23h0* n .lt. 1 in invmtx *)
  104 format(24h0* na .lt. n in invmtx *)
  105 format(24h0* nv .lt. n in invmtx *)
      ierinv = 0
      if (n .ge. 1) go to 101
      ierinv = 34
      print 103
      return
  101 if (na .ge. n) go to 102
      ierinv = 35
      print 104
      return
  102 if (nv .ge. n) return
      ierinv = 36
      print 105
      return
      end
